import httpRequest from '@/utils/axios'

// 获取团队列表
export function getTeamList(params?: { page?: number; page_size?: number }) {
  return httpRequest.get('/api/psp/v1/team/list', { params })
}

// 创建团队
export function createTeam(data: { name: string; slogan: string; logo: string; brief: string }) {
  return httpRequest.post('/api/psp/v1/team/create-team', data)
}

// 获取团队详情
export function getTeam(params: { id: string }) {
  return httpRequest.get('/api/psp/v1/team/view', { params })
}

// 加入团队
export function joinTeam(data: { id: string }) {
  return httpRequest.post('/api/psp/v1/team/join', data)
}

// 团队-上传资料/发布讨论
export function createTeamPosts(data: {
  type: string
  team_visible: string
  title: string
  desc: string
  picture?: string
  file?: string
}) {
  return httpRequest.post('/api/psp/v1/team/upload', data)
}

// 团队-团队文件/讨论列表
export function getTeamFileOrQuestions(params: { id: string; type: string; page?: number; page_size?: number }) {
  return httpRequest.get('/api/psp/v1/team/files-or-questions', { params })
}

// 团队-团队文件/讨论 创建评论
export function createTeamComment(data: { entity_id: string; type: string; content: string; to_comment_id?: string }) {
  return httpRequest.post('/api/psp//v1/team/create-comment', data)
}
